Loading...
Searching...
No Matches
PriorityQueue.h File Reference

Priority Queue class that allows removal of arbitrariy element from the queue. More...

`#include <unistd.h>`
`#include <limits.h>`
`#include "assa/Assure.h"`
`#include "assa/PriorityQueue_Impl.h"`
`#include "assa/PriorityQueue_Heap.h"`

Go to the source code of this file.

## Classes

class | ASSA::PriorityQueue< T, Compare >

## Namespaces

namespace | ASSA

## Detailed Description

Priority Queue class that allows removal of arbitrariy element from the queue.

This is Abstraction part of the Bridge pattern.

Definition in file PriorityQueue.h.